SDL_AttachVirtualJoystickEx(3)

NAME
SDL_AttachVirtualJoystickEx - Attach a new virtual joystick with extended properties.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickID SDL_AttachVirtualJoystickEx(const SDL_VirtualJoystickDesc *desc);

FUNCTION PARAMETERS

desc
    Joystick description

RETURN VALUE
Returns the joystick instance ID, or 0 if an error occurred; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AttachVirtualJoystick(3), SDL_DetachVirtualJoystick(3)